Bug 251333 - find-debuginfo.sh corrupts .debug files on hardlinks
Summary: find-debuginfo.sh corrupts .debug files on hardlinks
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 729020
TreeView+ depends on / blocked
 
Reported: 2007-08-08 13:39 UTC by Jan Kratochvil
Modified: 2015-12-01 19:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 13:28:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Kratochvil 2007-08-08 13:39:28 UTC
Description of problem:
Some generated .debug files (in the -debuginfo .rpm) may be stripped if the
source files have been hardlinked.

Version-Release number of selected component (if applicable):
rpm-build-4.4.2-46.fc7.x86_64
(but affects also RHEL-4.6/RHEL-5.1)
Fixed in: rpm-build-4.4.2.1-2.fc8

How reproducible:
Always.

Steps to Reproduce:
1. .spec: ln $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}2
2. rpm -qlvp /usr/src/rpm/RPMS/x86_64/hardlinked-*

Actual results:
-rwxr-xr-x    2 root    root             4016 Aug  8 15:37 /usr/bin/hardlinked
-rwxr-xr-x    2 root    root             4016 Aug  8 15:37 /usr/bin/hardlinked2
-rwxr-xr-x    1 root    root             2528 Aug  8 15:37
/usr/lib/debug/usr/bin/hardlinked.debug
-rwxr-xr-x    1 root    root             6024 Aug  8 15:37
/usr/lib/debug/usr/bin/hardlinked2.debug

Expected results:
-rwxr-xr-x    2 root    root             4016 Aug  8 15:30 /usr/bin/hardlinked
-rwxr-xr-x    2 root    root             4016 Aug  8 15:30 /usr/bin/hardlinked2
-rwxr-xr-x    2 root    root             6024 Aug  8 15:30
/usr/lib/debug/usr/bin/hardlinked.debug
-rwxr-xr-x    2 root    root             6024 Aug  8 15:30
/usr/lib/debug/usr/bin/hardlinked2.debug

Additional info:
It is fixed by the new Roland McGrath's `find-debuginfo.sh'.
It was a rebuild reason for RHEL-4 Bug 250794 for strace.

Comment 1 Panu Matilainen 2007-08-08 13:54:36 UTC
Yup. Just note that the new find-debuginfo.sh is a full rewrite of the thing,
it'll want a fair bit of testing before considering for RHEL 4 or 5.

Comment 2 Tomas Hoger 2009-09-04 13:29:00 UTC
It seems rewrite is in RHEL-5, is it still considered for inclusion in RHEL-4?  This still seems to be causing issues / rpmdiff errors.

Comment 4 RHEL Product and Program Management 2010-10-22 18:48:36 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 5 Jiri Pallich 2012-06-20 13:28:11 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.